Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.remoting.transport.socket
Interface SocketServerInvokerMBean

All Superinterfaces:
  ServerInvokerMBean

All Known Subinterfaces:
  SSLSocketServerInvokerMBean

All Known Implementing Classes:
  BisocketServerInvoker, MultiplexServerInvoker, SocketServerInvoker, SSLBisocketServerInvoker, SSLMultiplexServerInvoker, SSLSocketServerInvoker

    public interface SocketServerInvokerMBean

extends ServerInvokerMBean

MBean interface.

Method Summary
`int` | `getBacklog()`
`int` | `getCurrentClientPoolSize()`
`int` | `getCurrentThreadPoolSize()`
`int` | `getMaxPoolSize()` Setter for max pool size.
`int` | `getNumAcceptThreads()` Getter for property numAcceptThreads
`int` | `getServerBindPort()` Getter for property serverBindPort.
`void` | `setBacklog(int backlog)`
`void` | `setMaxPoolSize(int maxPoolSize)` The number of server threads for processing client.
`void` | `setNumAcceptThreads(int size)` Setter for property numAcceptThreads
`void` | `start()` Starts the invoker.
`void` | `stop()` Stops the invoker.

Methods inherited from interface org.jboss.remoting.ServerInvokerMBean
`create, destroy, getClientConnectAddress, getClientConnectPort, getConfiguration, getDataType, getServerBindAddress, getTimeout, isStarted, isTransportBiDirectional, setClientConnectAddress, setClientConnectPort, setConfiguration, setTimeout`

Method Detail

### start

    void start()
               throws java.io.IOException

  Starts the invoker.

  Specified by:
    `start` in interface `ServerInvokerMBean`
  Throws:
    `java.io.IOException`

### stop

    void stop()

  Stops the invoker.

  Specified by:
    `stop` in interface `ServerInvokerMBean`

### getCurrentThreadPoolSize

    int getCurrentThreadPoolSize()

### getCurrentClientPoolSize

    int getCurrentClientPoolSize()

### getNumAcceptThreads

    int getNumAcceptThreads()

  Getter for property numAcceptThreads

  Returns:
    The number of threads that exist for accepting client connections

### setNumAcceptThreads

    void setNumAcceptThreads(int size)

  Setter for property numAcceptThreads

  Parameters:
    `size` - The number of threads that exist for accepting client connections

### getMaxPoolSize

    int getMaxPoolSize()

  Setter for max pool size. The number of server threads for processing client. The default is 300.

  Returns:

### setMaxPoolSize

    void setMaxPoolSize(int maxPoolSize)

  The number of server threads for processing client. The default is 300.

  Parameters:
    `maxPoolSize` -

### getServerBindPort

    int getServerBindPort()

  Getter for property serverBindPort.

  Specified by:
    `getServerBindPort` in interface `ServerInvokerMBean`
  Returns:
    Value of property serverBindPort.

### getBacklog

    int getBacklog()

### setBacklog

    void setBacklog(int backlog)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 1998-2005 JBoss Inc . All Rights Reserved.